package com.telpo.iotgateway.entity.db1;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * @program: DataPushServer
 * @description: 厂商实体类
 * @author: linwl
 * @create: 2020-07-17 16:47
 */
@Setter
@Getter
@ToString
@TableName("manufactor_info")
public class ManufactorInfoEntity {

  @TableId(value = "id", type = IdType.AUTO)
  private Integer id;

  /** 厂商名称 */
  private String manufactorName;

  /** 厂商id */
  private String manufactorId;

  /** 厂商公钥 */
  private String publicKey;

  /** 厂商私钥 */
  private String privateKey;

  /** 厂商地址 */
  private String manufactorAddress;

  /** 厂商状态(0-待接入中 1-正在使用 2-注销) */
  private Integer manufactorState;

  /** 厂商联系电话 */
  private String manufactorMobile;

  /** 厂商联系人 */
  private String manufactorContacts;

  /** 备注 */
  private String remark;

  /** 创建时间 */
  private LocalDateTime createTime;

  /** 跳转厂商的url */
  private String redirectUrl;
}
